Subject: help!

From: [email-masked]
Date: Tue, 6 Mar 2001 10:33:42 EST

WHat are the five physical and five chemical properties of Mercury the 
elemnt??? If you read this on march 6, 2001 and it is 10:30 A.M........if you 
know by like 2 housrs or alittle while le me know ! PLEASE! ~Thanks!~